body {
    font-family: 'DM Sans', sans-serif;
    background-color: #f0f4fa;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    margin: 0;
    padding: 20px;
}

.feedback-card {
    background-color: #ffffff;
    padding: 20px;
    border-radius: 12px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.4);
    width: 90%; 
    max-width: 500px; 
    text-align: center;
    display: flex;
    flex-direction: column;
    gap: 15px;
    margin: 0 auto; 
}

.feedback-card h1 {
    text-align: left;
    font-size: 1.8rem;
}

.feedback-card h2 {
    font-size: 1rem;
    text-align: left;
}

.feedback-card h3 {
    font-size: 0.82rem;
    text-align: left;
}

.feedback-card p {
    font-size: 0.75rem; 
    color: #555;
}

.emoji-group span {
    font-size: 1.5rem;
    cursor: pointer;
    padding: 5px;
}

textarea {
    width: 100%;
    height: 80px;
    padding: 10px;
    border-radius: 8px;
    border: 1px solid #ccc;
    resize: none;
}

.submit-btn, .remind-btn {
    width: 100%;
    padding: 10px;
    border-radius: 8px;
    cursor: pointer;
    font-size: 1rem;
}

.submit-btn {
    background-color: #46638E;
    color: white;
    border: none;
}

.remind-btn {
    background-color: white;
    color: #3b5998;
    border: 2px solid #3b5998;
}

.back-link {
    display: flex;
    justify-content: center;
    margin-top: 10px;
}

.back-icon {
    width: 30px;
    height: 30px;
}

@media (min-width: 768px) and (max-width: 968px) {
    .sidebar {
        width: 80px !important;
        transition: none;
    }

    .sidebar hr {
        display: none;
    }

    .sidebar .logo-text,
    .sidebar .bio,
    .sidebar .add-text,
    .sidebar .nav-text {
        display: none !important;
        opacity: 0;
        width: 0;
        height: 0;
        overflow: hidden;
    }

    .sidebar .sidebar-icon {
        margin-right: 0;
    }

    .sidebar nav ul li {
        justify-content: center;
    }
}


/* Responsive Design */
@media (max-width: 768px) {
    .feedback-card {
        width: 95%;
        padding: 15px;
    }

    .feedback-card h1 {
        font-size: 1.5rem;
    }

    .feedback-card h2 {
        font-size: 0.9rem;
    }

    .feedback-card h3 {
        font-size: 0.75rem;
    }

    .feedback-card p {
        font-size: 0.65rem;
    }
}

@media (max-width: 480px) {
    .feedback-card {
        width: 100%;
        padding: 10px;
    }

    .feedback-card h1 {
        font-size: 1.3rem;
    }

    .feedback-card h2 {
        font-size: 0.85rem;
    }

    .feedback-card h3 {
        font-size: 0.7rem;
    }

    .feedback-card p {
        font-size: 0.6rem;
    }

    .submit-btn, .remind-btn {
        font-size: 0.9rem;
        padding: 8px;
    }
}
